curl
curl -X GET "https://api.triggr-app.com/api/v1/core/forms" \
-H "Authorization: Bearer $TRIGGR_API_KEY"const res = await fetch("https://api.triggr-app.com/api/v1/core/forms", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.TRIGGR_API_KEY}`,
},
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();$headers = @{
Authorization = "Bearer $env:TRIGGR_API_KEY"
}
Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/core/forms' -Headers $headersimport requests
url = "https://api.triggr-app.com/api/v1/core/forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.triggr-app.com/api/v1/core/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/core/forms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/core/forms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/core/forms")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/core/forms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"forms": [
{
"availability": "both",
"clientOverrides": [
{
"availability": "internal",
"enabled": true,
"tenantId": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"tenantName": "Acme Ltd"
}
],
"enabled": true,
"internal": true,
"listedOnHomepage": true,
"name": "Offboarding",
"public": true,
"publicUrl": "https://app.triggr-app.com/core/org_2Ab3Cd4Ef5Gh6Ij7Kl/offboarding",
"slug": "offboarding"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Core forms
List configured Core forms with status
GET
/
api
/
v1
/
core
/
forms
curl
curl -X GET "https://api.triggr-app.com/api/v1/core/forms" \
-H "Authorization: Bearer $TRIGGR_API_KEY"const res = await fetch("https://api.triggr-app.com/api/v1/core/forms", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.TRIGGR_API_KEY}`,
},
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();$headers = @{
Authorization = "Bearer $env:TRIGGR_API_KEY"
}
Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/core/forms' -Headers $headersimport requests
url = "https://api.triggr-app.com/api/v1/core/forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.triggr-app.com/api/v1/core/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/core/forms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/core/forms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/core/forms")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/core/forms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"forms": [
{
"availability": "both",
"clientOverrides": [
{
"availability": "internal",
"enabled": true,
"tenantId": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"tenantName": "Acme Ltd"
}
],
"enabled": true,
"internal": true,
"listedOnHomepage": true,
"name": "Offboarding",
"public": true,
"publicUrl": "https://app.triggr-app.com/core/org_2Ab3Cd4Ef5Gh6Ij7Kl/offboarding",
"slug": "offboarding"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Organisation API key. Scoped operations carry x-triggr-scope; the scopes themselves are described in x-triggr-scopes.
Query Parameters
Only forms that appear on the public homepage
Exactly this availability
Available options:
internal, public, both, disabled Response
OK
Show child attributes
Show child attributes
⌘I

